# pqxx::nonnoticer Struct Reference
[Error/warning output]

No-op message noticer; produces no output. More...

`#include <connection_base.hxx>`

Inheritance diagram for pqxx::nonnoticer:

[legend]
List of all members.

## Public Member Functions

| nonnoticer ()
virtual void | operator() (const char[]) throw ()

## Detailed Description

No-op message noticer; produces no output.

## Constructor & Destructor Documentation

pqxx::nonnoticer::nonnoticer | ( |  | ) |

## Member Function Documentation

virtual void pqxx::nonnoticer::operator() | ( | const | char[] | ) | throw ()`[virtual]`

Implements pqxx::noticer.

The documentation for this struct was generated from the following file:

- connection_base.hxx